package com.cyl.manager.staff.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyl.manager.staff.domain.BondTransaction;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 保证金缴纳明细Service接口
 *
 * @author ruoyi
 * @date 2023-12-26
 */
public interface IBondTransactionService extends IService<BondTransaction> {

    boolean updateBondStatusByPayId(Long outTradeNo, Integer type);

    boolean addBondTransaction(BondTransaction bondTransaction);

    List<BondTransaction> getStaffBondList(Long staffId, Pageable page);
}
